org.keycloak.saml.processing.core.parsers.saml.metadata

## Class AbstractStaxSamlMetadataParser<T>

- java.lang.Object
- - org.keycloak.saml.common.parsers.AbstractStaxParser<T,SAMLMetadataQNames>
  - - org.keycloak.saml.processing.core.parsers.saml.metadata.AbstractStaxSamlMetadataParser<T>

- All Implemented Interfaces:
    StaxParser
  Direct Known Subclasses:
    SAMLAttributeConsumingServiceParser, SAMLAttributeParser, SAMLContactPersonParser, SAMLEncryptionMethodParser, SAMLEndpointTypeParser, SAMLEntitiesDescriptorParser, SAMLEntityAttributesParser, SAMLEntityDescriptorParser, SAMLExtensionsParser, SAMLIndexedEndpointTypeParser, SAMLKeyDescriptorParser, SAMLOrganizationParser, SAMLRequestedAttributeParser, SAMLRoleDecriptorTypeParser

      public abstract class AbstractStaxSamlMetadataParser<T>
      extends AbstractStaxParser<T,SAMLMetadataQNames>

  Author:
    mhajas

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static QNameEnumLookup<SAMLMetadataQNames>` | `LOOKUP`

    - ### Fields inherited from class org.keycloak.saml.common.parsers.AbstractStaxParser

      `expectedStartElement, LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractStaxSamlMetadataParser(SAMLMetadataQNames expectedStartElement)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SAMLMetadataQNames` | `getElementFromName(QName name)`

    - ### Methods inherited from class org.keycloak.saml.common.parsers.AbstractStaxParser

      `instantiateElement, isUnknownElement, parse, processSubElement, validateStartElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOOKUP

          protected static final QNameEnumLookup<SAMLMetadataQNames> LOOKUP

  - ### Constructor Detail

    - #### AbstractStaxSamlMetadataParser

          public AbstractStaxSamlMetadataParser(SAMLMetadataQNames expectedStartElement)

  - ### Method Detail

    - #### getElementFromName

          protected SAMLMetadataQNames getElementFromName(QName name)

      Specified by:
        `getElementFromName` in class `AbstractStaxParser<T,SAMLMetadataQNames>`

Copyright © 2020 JBoss by Red Hat. All rights reserved.